interface Leg {
    operatingCarrierPNR?: string;
    departureAirport?: string;
    arrivalAirport?: string;
    operatingCarrierDesignator?: string;
    flightNumber?: string;
    flightDate?: Date;
    compartmentCode?: string;
    seatNumber?: string;
    checkInSequenceNumber?: string;
    passengerStatus?: string;
    airlineNumericCode?: string;
    serialNumber?: string;
    selecteeIndicator?: string;
    internationalDocumentationVerification?: string;
    marketingCarrierDesignator?: string;
    frequentFlyerAirlineDesignator?: string;
    frequentFlyerNumber?: string;
    idIndicator?: string;
    freeBaggageAllowance?: string;
    fastTrack?: boolean;
    airlineInfo?: string;
}
interface BoardingPassData {
    legs?: Leg[];
    passengerName?: string;
    passengerDescription?: string;
    checkInSource?: string;
    boardingPassIssuanceSource?: string;
    issuanceDate?: Date;
    documentType?: string;
    boardingPassIssuerDesignator?: string;
    baggageTagNumber?: string;
    firstBaggageTagNumber?: string;
    secondBaggageTagNumber?: string;
    securityDataType?: string;
    securityData?: string;
}
interface BoardingPassMetaData {
    formatCode?: string;
    numberOfLegs?: number;
    electronicTicketIndicator?: string;
    versionNumberIndicator?: string;
    versionNumber?: number;
    securityDataIndicator?: string;
}
interface BarcodedBoardingPass {
    data?: BoardingPassData;
    meta?: BoardingPassMetaData;
}
declare const encode: (bcbp: BarcodedBoardingPass) => string;
declare const decode: (barcodeString: string, referenceYear?: number) => BarcodedBoardingPass;
export { encode, decode };
export type { BoardingPassData, Leg, BoardingPassMetaData, BarcodedBoardingPass };
//# sourceMappingURL=index.umd.d.ts.map